Bug 1411975 - Missing flash message after Middleware "Add Datasource" operation and wizard not reset
Summary: Missing flash message after Middleware "Add Datasource" operation and wizard ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Alexandre Mendonça
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On: 1411833
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 22:00 UTC by Satoe Imaishi
Modified: 2017-02-27 19:20 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1411833
Environment:
Last Closed: 2017-02-27 19:20:37 UTC
Category: ---
Cloudforms Team: Middleware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-10 22:05:45 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/2c7bb0a2474eae7ed24f6a3769e99c29f41e4945

commit 2c7bb0a2474eae7ed24f6a3769e99c29f41e4945
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Thu Dec 8 08:32:08 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 10 17:00:37 2017 -0500

    Merge pull request #12820 from ammendonca/MIQ-MW-ADD-DATASOURCE-FLASH
    
    Add flash message after MW "Add Datasource" operation
    (cherry picked from commit 028695c453ed500025af8e90c66390b1a754a10d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411975

 .../middleware_datasource_controller.js            |  9 +++++++-
 .../middleware_datasource_service.js               | 24 +---------------------
 app/controllers/middleware_server_controller.rb    |  2 +-
 .../middleware_add_datasource_controller_spec.js   |  4 ++++
 4 files changed, 14 insertions(+), 25 deletions(-)

Comment 6 Sunil Kondkar 2017-02-15 10:33:08 UTC
Verified on 5.7.1.1.20170206165110_3c42361

After adding the data source, below message is shown in UI:
'Datasource "H2DS-Test" installation has started on this server.'

Verified that if the add datasource wizard is opened again, the wizard starts clear with 'Choose Datasource' step and does does not display any previous usage information.

Comment 8 errata-xmlrpc 2017-02-27 19:20:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.